package cn.com.qmth.stmms.biz.exam.service;

import cn.com.qmth.stmms.biz.exam.model.Marker;
import cn.com.qmth.stmms.biz.exam.query.MarkerSearchQuery;

import java.util.List;

public interface MarkerService {

    Marker save(Marker marker);

    Marker findById(Integer id);

    List<Marker> findByExamAndSubjectAndGroup(int examId, String subjectCode, int groupNumber);

    long countByExam(int examId);

    MarkerSearchQuery findByQuery(MarkerSearchQuery query);

    List<Marker> getMarkCount(int examId);

    long countByExamAndSubjectAndGroup(int examId, String subjectCode, int number);

    List<Marker> getMarkCount(int examId, String subjectCode);

    List<Marker> findMode(String commo);

    int batchSave(List<Marker> list);

    void updateMarkSetting(Integer id, String setting);

}
